totemsrp_stats_t Struct Reference

`#include <totemstats.h>`

Collaboration diagram for totemsrp_stats_t:
[legend]

## Data Fields

totem_stats_header_t | hdr
uint64_t | orf_token_tx
uint64_t | orf_token_rx
uint64_t | memb_merge_detect_tx
uint64_t | memb_merge_detect_rx
uint64_t | memb_join_tx
uint64_t | memb_join_rx
uint64_t | mcast_tx
uint64_t | mcast_retx
uint64_t | mcast_rx
uint64_t | memb_commit_token_tx
uint64_t | memb_commit_token_rx
uint64_t | token_hold_cancel_tx
uint64_t | token_hold_cancel_rx
uint64_t | operational_entered
uint64_t | operational_token_lost
uint64_t | gather_entered
uint64_t | gather_token_lost
uint64_t | commit_entered
uint64_t | commit_token_lost
uint64_t | recovery_entered
uint64_t | recovery_token_lost
uint64_t | consensus_timeouts
uint64_t | rx_msg_dropped
uint32_t | continuous_gather
uint32_t | continuous_sendmsg_failures
uint64_t | time_since_token_last_received
uint8_t | firewall_enabled_or_nic_failure
uint32_t | mtt_rx_token
uint32_t | avg_token_workload
uint32_t | avg_backlog_calc
int | earliest_token
int | latest_token
totemsrp_token_stats_t | token [TOTEM_TOKEN_STATS_MAX]

## Detailed Description

Definition at line 53 of file totemstats.h.

## Field Documentation

## avg_backlog_calc

uint32_t totemsrp_stats_t::avg_backlog_calc

Definition at line 85 of file totemstats.h.

## avg_token_workload

uint32_t totemsrp_stats_t::avg_token_workload

Definition at line 84 of file totemstats.h.

## commit_entered

uint64_t totemsrp_stats_t::commit_entered

Definition at line 72 of file totemstats.h.

## commit_token_lost

uint64_t totemsrp_stats_t::commit_token_lost

Definition at line 73 of file totemstats.h.

## consensus_timeouts

uint64_t totemsrp_stats_t::consensus_timeouts

Definition at line 76 of file totemstats.h.

## continuous_gather

uint32_t totemsrp_stats_t::continuous_gather

Definition at line 78 of file totemstats.h.

## continuous_sendmsg_failures

uint32_t totemsrp_stats_t::continuous_sendmsg_failures

Definition at line 79 of file totemstats.h.

## earliest_token

int totemsrp_stats_t::earliest_token

Definition at line 87 of file totemstats.h.

## firewall_enabled_or_nic_failure

uint8_t totemsrp_stats_t::firewall_enabled_or_nic_failure

Definition at line 82 of file totemstats.h.

## gather_entered

uint64_t totemsrp_stats_t::gather_entered

Definition at line 70 of file totemstats.h.

## gather_token_lost

uint64_t totemsrp_stats_t::gather_token_lost

Definition at line 71 of file totemstats.h.

## hdr

totem_stats_header_t totemsrp_stats_t::hdr

Definition at line 54 of file totemstats.h.

## latest_token

int totemsrp_stats_t::latest_token

Definition at line 88 of file totemstats.h.

## mcast_retx

uint64_t totemsrp_stats_t::mcast_retx

Definition at line 62 of file totemstats.h.

## mcast_rx

uint64_t totemsrp_stats_t::mcast_rx

Definition at line 63 of file totemstats.h.

## mcast_tx

uint64_t totemsrp_stats_t::mcast_tx

Definition at line 61 of file totemstats.h.

## memb_commit_token_rx

uint64_t totemsrp_stats_t::memb_commit_token_rx

Definition at line 65 of file totemstats.h.

## memb_commit_token_tx

uint64_t totemsrp_stats_t::memb_commit_token_tx

Definition at line 64 of file totemstats.h.

## memb_join_rx

uint64_t totemsrp_stats_t::memb_join_rx

Definition at line 60 of file totemstats.h.

## memb_join_tx

uint64_t totemsrp_stats_t::memb_join_tx

Definition at line 59 of file totemstats.h.

## memb_merge_detect_rx

uint64_t totemsrp_stats_t::memb_merge_detect_rx

Definition at line 58 of file totemstats.h.

## memb_merge_detect_tx

uint64_t totemsrp_stats_t::memb_merge_detect_tx

Definition at line 57 of file totemstats.h.

## mtt_rx_token

uint32_t totemsrp_stats_t::mtt_rx_token

Definition at line 83 of file totemstats.h.

## operational_entered

uint64_t totemsrp_stats_t::operational_entered

Definition at line 68 of file totemstats.h.

## operational_token_lost

uint64_t totemsrp_stats_t::operational_token_lost

Definition at line 69 of file totemstats.h.

## orf_token_rx

uint64_t totemsrp_stats_t::orf_token_rx

Definition at line 56 of file totemstats.h.

## orf_token_tx

uint64_t totemsrp_stats_t::orf_token_tx

Definition at line 55 of file totemstats.h.

## recovery_entered

uint64_t totemsrp_stats_t::recovery_entered

Definition at line 74 of file totemstats.h.

## recovery_token_lost

uint64_t totemsrp_stats_t::recovery_token_lost

Definition at line 75 of file totemstats.h.

## rx_msg_dropped

uint64_t totemsrp_stats_t::rx_msg_dropped

Definition at line 77 of file totemstats.h.

## time_since_token_last_received

uint64_t totemsrp_stats_t::time_since_token_last_received

Definition at line 80 of file totemstats.h.

## token

totemsrp_token_stats_t totemsrp_stats_t::token[TOTEM_TOKEN_STATS_MAX]

Definition at line 90 of file totemstats.h.

## token_hold_cancel_rx

uint64_t totemsrp_stats_t::token_hold_cancel_rx

Definition at line 67 of file totemstats.h.

## token_hold_cancel_tx

uint64_t totemsrp_stats_t::token_hold_cancel_tx

Definition at line 66 of file totemstats.h.

The documentation for this struct was generated from the following file:

- totemstats.h